# gds-form-summary

**Class**: `GdsFormSummary`

**Tag**: `<gds-form-summary>`


## Properties

| Name | Type | Default | Description |
|------|------|---------|-------------|
| `hideErrors` | `boolean` | `-` | Whether to hide the error messages under the labels. |
| `reactive` | `boolean` | `-` | Whether to refresh the summary automatically as controls in the form change validation state.  Avoid this setting if the summary is located above the form controls, as it may cause the form to jump around as the summary is updated. |


## Methods

### `focus(options?: FocusOptions): void`

Focuses the first focusable element in the summary.

**Parameters:**

- `options`: `FocusOptions` _(optional)_

### `refresh(): void`

Refresh the component to reflext the current state of the form.
